Public Member Functions | Private Attributes

# DiagonalTileIterator Class Reference

Iterator to iterate over a diagonal area of the map. More...

`#include <tilearea_type.h>`

Inheritance diagram for DiagonalTileIterator:

## Public Member Functions
| DiagonalTileIterator (const DiagonalTileArea &ta)
| Construct the iterator.
| DiagonalTileIterator (TileIndex corner1, TileIndex corner2)
| Construct the iterator.
TileIterator & | operator++ ()
| Move ourselves to the next tile in the rectangle on the map.
virtual TileIterator * | Clone () const
| Allocate a new iterator that is a copy of this one.
## Private Attributes
uint | base_x
| The base tile x coordinate from where the iterating happens.
uint | base_y
| The base tile y coordinate from where the iterating happens.
int | a_cur
| The current (rotated) x coordinate of the iteration.
int | b_cur
| The current (rotated) y coordinate of the iteration.
int | a_max
| The (rotated) x coordinate of the end of the iteration.
int | b_max
| The (rotated) y coordinate of the end of the iteration.

## Detailed Description

Iterator to iterate over a diagonal area of the map.

Definition at line 188 of file tilearea_type.h.

## Constructor & Destructor Documentation

DiagonalTileIterator::DiagonalTileIterator | ( | const DiagonalTileArea & | ta | ) | `[inline]`

Construct the iterator.

Parameters:

  | ta | Area, i.e. begin point and (diagonal) width/height of to-be-iterated area.

Definition at line 203 of file tilearea_type.h.

Referenced by Clone(), and DiagonalTileIterator().

DiagonalTileIterator::DiagonalTileIterator | ( | TileIndex | corner1,
|  | TileIndex | corner2 |
| ) |  |  | `[inline]`

Construct the iterator.

Parameters:

  | corner1 | Tile from where to begin iterating.
  | corner2 | Tile where to end the iterating.

Definition at line 213 of file tilearea_type.h.

References DiagonalTileIterator().

The documentation for this class was generated from the following files:

- src/tilearea_type.h
- src/tilearea.cpp